Home | History | Annotate | Download | only in microhttpd
      1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
      2 # @configure_input@
      3 
      4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
      5 
      6 # This Makefile.in is free software; the Free Software Foundation
      7 # gives unlimited permission to copy and/or distribute it,
      8 # with or without modifications, as long as this notice is preserved.
      9 
     10 # This program is distributed in the hope that it will be useful,
     11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13 # PARTICULAR PURPOSE.
     14 
     15 @SET_MAKE@
     16 
     17 
     18 VPATH = @srcdir@
     19 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
     20 am__make_running_with_option = \
     21   case $${target_option-} in \
     22       ?) ;; \
     23       *) echo "am__make_running_with_option: internal error: invalid" \
     24               "target option '$${target_option-}' specified" >&2; \
     25          exit 1;; \
     26   esac; \
     27   has_opt=no; \
     28   sane_makeflags=$$MAKEFLAGS; \
     29   if $(am__is_gnu_make); then \
     30     sane_makeflags=$$MFLAGS; \
     31   else \
     32     case $$MAKEFLAGS in \
     33       *\\[\ \	]*) \
     34         bs=\\; \
     35         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
     36           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
     37     esac; \
     38   fi; \
     39   skip_next=no; \
     40   strip_trailopt () \
     41   { \
     42     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
     43   }; \
     44   for flg in $$sane_makeflags; do \
     45     test $$skip_next = yes && { skip_next=no; continue; }; \
     46     case $$flg in \
     47       *=*|--*) continue;; \
     48         -*I) strip_trailopt 'I'; skip_next=yes;; \
     49       -*I?*) strip_trailopt 'I';; \
     50         -*O) strip_trailopt 'O'; skip_next=yes;; \
     51       -*O?*) strip_trailopt 'O';; \
     52         -*l) strip_trailopt 'l'; skip_next=yes;; \
     53       -*l?*) strip_trailopt 'l';; \
     54       -[dEDm]) skip_next=yes;; \
     55       -[JT]) skip_next=yes;; \
     56     esac; \
     57     case $$flg in \
     58       *$$target_option*) has_opt=yes; break;; \
     59     esac; \
     60   done; \
     61   test $$has_opt = yes
     62 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
     63 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
     64 pkgdatadir = $(datadir)/@PACKAGE@
     65 pkgincludedir = $(includedir)/@PACKAGE@
     66 pkglibdir = $(libdir)/@PACKAGE@
     67 pkglibexecdir = $(libexecdir)/@PACKAGE@
     68 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     69 install_sh_DATA = $(install_sh) -c -m 644
     70 install_sh_PROGRAM = $(install_sh) -c
     71 install_sh_SCRIPT = $(install_sh) -c
     72 INSTALL_HEADER = $(INSTALL_DATA)
     73 transform = $(program_transform_name)
     74 NORMAL_INSTALL = :
     75 PRE_INSTALL = :
     76 POST_INSTALL = :
     77 NORMAL_UNINSTALL = :
     78 PRE_UNINSTALL = :
     79 POST_UNINSTALL = :
     80 build_triplet = @build@
     81 host_triplet = @host@
     82 @W32_SHARED_LIB_EXP_TRUE@am__append_1 = $(lt_cv_objdir)/libmicrohttpd.lib $(lt_cv_objdir)/libmicrohttpd.def $(lt_cv_objdir)/libmicrohttpd.exp
     83 @W32_SHARED_LIB_EXP_TRUE@am__append_2 = $(lt_cv_objdir)/libmicrohttpd.lib $(lt_cv_objdir)/libmicrohttpd.def $(lt_cv_objdir)/libmicrohttpd.exp
     84 @W32_STATIC_LIB_TRUE@am__append_3 = $(lt_cv_objdir)/libmicrohttpd-static.lib
     85 @W32_STATIC_LIB_TRUE@am__append_4 = $(lt_cv_objdir)/libmicrohttpd-static.lib
     86 @HAVE_W32_TRUE@am__append_5 = $(MHD_DLL_RES_LO)
     87 @USE_COVERAGE_TRUE@am__append_6 = --coverage
     88 @HAVE_TSEARCH_FALSE@am__append_7 = \
     89 @HAVE_TSEARCH_FALSE@  tsearch.c tsearch.h
     90 
     91 @HAVE_POSTPROCESSOR_TRUE@am__append_8 = \
     92 @HAVE_POSTPROCESSOR_TRUE@  postprocessor.c
     93 
     94 @ENABLE_DAUTH_TRUE@am__append_9 = \
     95 @ENABLE_DAUTH_TRUE@  digestauth.c \
     96 @ENABLE_DAUTH_TRUE@  md5.c md5.h
     97 
     98 @ENABLE_BAUTH_TRUE@am__append_10 = \
     99 @ENABLE_BAUTH_TRUE@  basicauth.c \
    100 @ENABLE_BAUTH_TRUE@  base64.c base64.h
    101 
    102 @ENABLE_HTTPS_TRUE@am__append_11 = \
    103 @ENABLE_HTTPS_TRUE@  connection_https.c connection_https.h
    104 
    105 check_PROGRAMS = test_daemon$(EXEEXT) $(am__EXEEXT_1)
    106 @HAVE_POSTPROCESSOR_TRUE@am__append_12 = \
    107 @HAVE_POSTPROCESSOR_TRUE@  test_postprocessor \
    108 @HAVE_POSTPROCESSOR_TRUE@  test_postprocessor_large \
    109 @HAVE_POSTPROCESSOR_TRUE@  test_postprocessor_amp
    110 
    111 subdir = src/microhttpd
    112 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
    113 	$(srcdir)/microhttpd_dll_res.rc.in $(top_srcdir)/depcomp \
    114 	$(top_srcdir)/test-driver
    115 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
    116 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_append_compile_flags.m4 \
    117 	$(top_srcdir)/m4/ax_append_flag.m4 \
    118 	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
    119 	$(top_srcdir)/m4/ax_check_link_flag.m4 \
    120 	$(top_srcdir)/m4/ax_check_openssl.m4 \
    121 	$(top_srcdir)/m4/ax_count_cpus.m4 \
    122 	$(top_srcdir)/m4/ax_have_epoll.m4 \
    123 	$(top_srcdir)/m4/ax_pthread.m4 \
    124 	$(top_srcdir)/m4/ax_require_defined.m4 \
    125 	$(top_srcdir)/m4/libcurl.m4 $(top_srcdir)/m4/libgcrypt.m4 \
    126 	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
    127 	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
    128 	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
    129 	$(top_srcdir)/configure.ac
    130 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
    131 	$(ACLOCAL_M4)
    132 mkinstalldirs = $(install_sh) -d
    133 CONFIG_HEADER = $(top_builddir)/MHD_config.h
    134 CONFIG_CLEAN_FILES = microhttpd_dll_res.rc
    135 CONFIG_CLEAN_VPATH_FILES =
    136 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    137 am__vpath_adj = case $$p in \
    138     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    139     *) f=$$p;; \
    140   esac;
    141 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
    142 am__install_max = 40
    143 am__nobase_strip_setup = \
    144   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
    145 am__nobase_strip = \
    146   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
    147 am__nobase_list = $(am__nobase_strip_setup); \
    148   for p in $$list; do echo "$$p $$p"; done | \
    149   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
    150   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    151     if (++n[$$2] == $(am__install_max)) \
    152       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    153     END { for (dir in files) print dir, files[dir] }'
    154 am__base_list = \
    155   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
    156   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
    157 am__uninstall_files_from_dir = { \
    158   test -z "$$files" \
    159     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    160     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
    161          $(am__cd) "$$dir" && rm -f $$files; }; \
    162   }
    163 am__installdirs = "$(DESTDIR)$(libdir)"
    164 LTLIBRARIES = $(lib_LTLIBRARIES)
    165 am__DEPENDENCIES_1 =
    166 am__libmicrohttpd_la_SOURCES_DIST = connection.c connection.h \
    167 	reason_phrase.c reason_phrase.h daemon.c internal.c internal.h \
    168 	memorypool.c memorypool.h response.c response.h tsearch.c \
    169 	tsearch.h postprocessor.c digestauth.c md5.c md5.h basicauth.c \
    170 	base64.c base64.h connection_https.c connection_https.h
    171 @HAVE_TSEARCH_FALSE@am__objects_1 = libmicrohttpd_la-tsearch.lo
    172 @HAVE_POSTPROCESSOR_TRUE@am__objects_2 =  \
    173 @HAVE_POSTPROCESSOR_TRUE@	libmicrohttpd_la-postprocessor.lo
    174 @ENABLE_DAUTH_TRUE@am__objects_3 = libmicrohttpd_la-digestauth.lo \
    175 @ENABLE_DAUTH_TRUE@	libmicrohttpd_la-md5.lo
    176 @ENABLE_BAUTH_TRUE@am__objects_4 = libmicrohttpd_la-basicauth.lo \
    177 @ENABLE_BAUTH_TRUE@	libmicrohttpd_la-base64.lo
    178 @ENABLE_HTTPS_TRUE@am__objects_5 =  \
    179 @ENABLE_HTTPS_TRUE@	libmicrohttpd_la-connection_https.lo
    180 am_libmicrohttpd_la_OBJECTS = libmicrohttpd_la-connection.lo \
    181 	libmicrohttpd_la-reason_phrase.lo libmicrohttpd_la-daemon.lo \
    182 	libmicrohttpd_la-internal.lo libmicrohttpd_la-memorypool.lo \
    183 	libmicrohttpd_la-response.lo $(am__objects_1) $(am__objects_2) \
    184 	$(am__objects_3) $(am__objects_4) $(am__objects_5)
    185 libmicrohttpd_la_OBJECTS = $(am_libmicrohttpd_la_OBJECTS)
    186 AM_V_lt = $(am__v_lt_@AM_V@)
    187 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
    188 am__v_lt_0 = --silent
    189 am__v_lt_1 = 
    190 libmicrohttpd_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
    191 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
    192 	$(libmicrohttpd_la_CFLAGS) $(CFLAGS) \
    193 	$(libmicrohttpd_la_LDFLAGS) $(LDFLAGS) -o $@
    194 @HAVE_POSTPROCESSOR_TRUE@am__EXEEXT_1 = test_postprocessor$(EXEEXT) \
    195 @HAVE_POSTPROCESSOR_TRUE@	test_postprocessor_large$(EXEEXT) \
    196 @HAVE_POSTPROCESSOR_TRUE@	test_postprocessor_amp$(EXEEXT)
    197 am_test_daemon_OBJECTS = test_daemon.$(OBJEXT)
    198 test_daemon_OBJECTS = $(am_test_daemon_OBJECTS)
    199 test_daemon_DEPENDENCIES =  \
    200 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    201 am_test_postprocessor_OBJECTS =  \
    202 	test_postprocessor-test_postprocessor.$(OBJEXT)
    203 test_postprocessor_OBJECTS = $(am_test_postprocessor_OBJECTS)
    204 test_postprocessor_DEPENDENCIES =  \
    205 	$(top_builddir)/src/microhttpd/libmicrohttpd.la $(MHD_W32_LIB)
    206 am_test_postprocessor_amp_OBJECTS =  \
    207 	test_postprocessor_amp-test_postprocessor_amp.$(OBJEXT)
    208 test_postprocessor_amp_OBJECTS = $(am_test_postprocessor_amp_OBJECTS)
    209 test_postprocessor_amp_DEPENDENCIES =  \
    210 	$(top_builddir)/src/microhttpd/libmicrohttpd.la
    211 am_test_postprocessor_large_OBJECTS =  \
    212 	test_postprocessor_large-test_postprocessor_large.$(OBJEXT)
    213 test_postprocessor_large_OBJECTS =  \
    214 	$(am_test_postprocessor_large_OBJECTS)
    215 test_postprocessor_large_DEPENDENCIES =  \
    216 	$(top_builddir)/src/microhttpd/libmicrohttpd.la $(MHD_W32_LIB)
    217 AM_V_P = $(am__v_P_@AM_V@)
    218 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
    219 am__v_P_0 = false
    220 am__v_P_1 = :
    221 AM_V_GEN = $(am__v_GEN_@AM_V@)
    222 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
    223 am__v_GEN_0 = @echo "  GEN     " $@;
    224 am__v_GEN_1 = 
    225 AM_V_at = $(am__v_at_@AM_V@)
    226 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
    227 am__v_at_0 = @
    228 am__v_at_1 = 
    229 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
    230 depcomp = $(SHELL) $(top_srcdir)/depcomp
    231 am__depfiles_maybe = depfiles
    232 am__mv = mv -f
    233 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    234 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
    235 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    236 	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
    237 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
    238 	$(AM_CFLAGS) $(CFLAGS)
    239 AM_V_CC = $(am__v_CC_@AM_V@)
    240 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
    241 am__v_CC_0 = @echo "  CC      " $@;
    242 am__v_CC_1 = 
    243 CCLD = $(CC)
    244 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    245 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
    246 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
    247 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
    248 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
    249 am__v_CCLD_0 = @echo "  CCLD    " $@;
    250 am__v_CCLD_1 = 
    251 SOURCES = $(libmicrohttpd_la_SOURCES) $(test_daemon_SOURCES) \
    252 	$(test_postprocessor_SOURCES) \
    253 	$(test_postprocessor_amp_SOURCES) \
    254 	$(test_postprocessor_large_SOURCES)
    255 DIST_SOURCES = $(am__libmicrohttpd_la_SOURCES_DIST) \
    256 	$(test_daemon_SOURCES) $(test_postprocessor_SOURCES) \
    257 	$(test_postprocessor_amp_SOURCES) \
    258 	$(test_postprocessor_large_SOURCES)
    259 am__can_run_installinfo = \
    260   case $$AM_UPDATE_INFO_DIR in \
    261     n|no|NO) false;; \
    262     *) (install-info --version) >/dev/null 2>&1;; \
    263   esac
    264 DATA = $(noinst_DATA)
    265 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
    266 # Read a list of newline-separated strings from the standard input,
    267 # and print each of them once, without duplicates.  Input order is
    268 # *not* preserved.
    269 am__uniquify_input = $(AWK) '\
    270   BEGIN { nonempty = 0; } \
    271   { items[$$0] = 1; nonempty = 1; } \
    272   END { if (nonempty) { for (i in items) print i; }; } \
    273 '
    274 # Make sure the list of sources is unique.  This is necessary because,
    275 # e.g., the same source file might be shared among _SOURCES variables
    276 # for different programs/libraries.
    277 am__define_uniq_tagged_files = \
    278   list='$(am__tagged_files)'; \
    279   unique=`for i in $$list; do \
    280     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    281   done | $(am__uniquify_input)`
    282 ETAGS = etags
    283 CTAGS = ctags
    284 am__tty_colors_dummy = \
    285   mgn= red= grn= lgn= blu= brg= std=; \
    286   am__color_tests=no
    287 am__tty_colors = { \
    288   $(am__tty_colors_dummy); \
    289   if test "X$(AM_COLOR_TESTS)" = Xno; then \
    290     am__color_tests=no; \
    291   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    292     am__color_tests=yes; \
    293   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    294     am__color_tests=yes; \
    295   fi; \
    296   if test $$am__color_tests = yes; then \
    297     red='[0;31m'; \
    298     grn='[0;32m'; \
    299     lgn='[1;32m'; \
    300     blu='[1;34m'; \
    301     mgn='[0;35m'; \
    302     brg='[1m'; \
    303     std='[m'; \
    304   fi; \
    305 }
    306 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
    307 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
    308 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
    309 # A command that, given a newline-separated list of test names on the
    310 # standard input, print the name of the tests that are to be re-run
    311 # upon "make recheck".
    312 am__list_recheck_tests = $(AWK) '{ \
    313   recheck = 1; \
    314   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    315     { \
    316       if (rc < 0) \
    317         { \
    318           if ((getline line2 < ($$0 ".log")) < 0) \
    319 	    recheck = 0; \
    320           break; \
    321         } \
    322       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
    323         { \
    324           recheck = 0; \
    325           break; \
    326         } \
    327       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
    328         { \
    329           break; \
    330         } \
    331     }; \
    332   if (recheck) \
    333     print $$0; \
    334   close ($$0 ".trs"); \
    335   close ($$0 ".log"); \
    336 }'
    337 # A command that, given a newline-separated list of test names on the
    338 # standard input, create the global log from their .trs and .log files.
    339 am__create_global_log = $(AWK) ' \
    340 function fatal(msg) \
    341 { \
    342   print "fatal: making $@: " msg | "cat >&2"; \
    343   exit 1; \
    344 } \
    345 function rst_section(header) \
    346 { \
    347   print header; \
    348   len = length(header); \
    349   for (i = 1; i <= len; i = i + 1) \
    350     printf "="; \
    351   printf "\n\n"; \
    352 } \
    353 { \
    354   copy_in_global_log = 1; \
    355   global_test_result = "RUN"; \
    356   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    357     { \
    358       if (rc < 0) \
    359          fatal("failed to read from " $$0 ".trs"); \
    360       if (line ~ /$(am__global_test_result_rx)/) \
    361         { \
    362           sub("$(am__global_test_result_rx)", "", line); \
    363           sub("[ 	]*$$", "", line); \
    364           global_test_result = line; \
    365         } \
    366       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
    367         copy_in_global_log = 0; \
    368     }; \
    369   if (copy_in_global_log) \
    370     { \
    371       rst_section(global_test_result ": " $$0); \
    372       while ((rc = (getline line < ($$0 ".log"))) != 0) \
    373       { \
    374         if (rc < 0) \
    375           fatal("failed to read from " $$0 ".log"); \
    376         print line; \
    377       }; \
    378       printf "\n"; \
    379     }; \
    380   close ($$0 ".trs"); \
    381   close ($$0 ".log"); \
    382 }'
    383 # Restructured Text title.
    384 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
    385 # Solaris 10 'make', and several other traditional 'make' implementations,
    386 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
    387 # by disabling -e (using the XSI extension "set +e") if it's set.
    388 am__sh_e_setup = case $$- in *e*) set +e;; esac
    389 # Default flags passed to test drivers.
    390 am__common_driver_flags = \
    391   --color-tests "$$am__color_tests" \
    392   --enable-hard-errors "$$am__enable_hard_errors" \
    393   --expect-failure "$$am__expect_failure"
    394 # To be inserted before the command running the test.  Creates the
    395 # directory for the log if needed.  Stores in $dir the directory
    396 # containing $f, in $tst the test, in $log the log.  Executes the
    397 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
    398 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
    399 # will run the test scripts (or their associated LOG_COMPILER, if
    400 # thy have one).
    401 am__check_pre = \
    402 $(am__sh_e_setup);					\
    403 $(am__vpath_adj_setup) $(am__vpath_adj)			\
    404 $(am__tty_colors);					\
    405 srcdir=$(srcdir); export srcdir;			\
    406 case "$@" in						\
    407   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    408     *) am__odir=.;; 					\
    409 esac;							\
    410 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
    411   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
    412 if test -f "./$$f"; then dir=./;			\
    413 elif test -f "$$f"; then dir=;				\
    414 else dir="$(srcdir)/"; fi;				\
    415 tst=$$dir$$f; log='$@'; 				\
    416 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
    417   am__enable_hard_errors=no; 				\
    418 else							\
    419   am__enable_hard_errors=yes; 				\
    420 fi; 							\
    421 case " $(XFAIL_TESTS) " in				\
    422   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    423     am__expect_failure=yes;;				\
    424   *)							\
    425     am__expect_failure=no;;				\
    426 esac; 							\
    427 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
    428 # A shell command to get the names of the tests scripts with any registered
    429 # extension removed (i.e., equivalently, the names of the test logs, with
    430 # the '.log' extension removed).  The result is saved in the shell variable
    431 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
    432 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
    433 # since that might cause problem with VPATH rewrites for suffix-less tests.
    434 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
    435 am__set_TESTS_bases = \
    436   bases='$(TEST_LOGS)'; \
    437   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
    438   bases=`echo $$bases`
    439 RECHECK_LOGS = $(TEST_LOGS)
    440 AM_RECURSIVE_TARGETS = check recheck
    441 TEST_SUITE_LOG = test-suite.log
    442 TEST_EXTENSIONS = @EXEEXT@ .test
    443 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
    444 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
    445 am__set_b = \
    446   case '$@' in \
    447     */*) \
    448       case '$*' in \
    449         */*) b='$*';; \
    450           *) b=`echo '$@' | sed 's/\.log$$//'`; \
    451        esac;; \
    452     *) \
    453       b='$*';; \
    454   esac
    455 am__test_logs1 = $(TESTS:=.log)
    456 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
    457 TEST_LOGS = $(am__test_logs2:.test.log=.log)
    458 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
    459 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
    460 	$(TEST_LOG_FLAGS)
    461 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    462 ACLOCAL = @ACLOCAL@
    463 AMTAR = @AMTAR@
    464 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
    465 AR = @AR@
    466 AS = @AS@
    467 AUTOCONF = @AUTOCONF@
    468 AUTOHEADER = @AUTOHEADER@
    469 AUTOMAKE = @AUTOMAKE@
    470 AWK = @AWK@
    471 CC = @CC@
    472 CCDEPMODE = @CCDEPMODE@
    473 CFLAGS = @CFLAGS@
    474 CPP = @CPP@
    475 CPPFLAGS = @CPPFLAGS@
    476 CPU_COUNT = @CPU_COUNT@
    477 CYGPATH_W = @CYGPATH_W@
    478 DEFS = @DEFS@
    479 DEPDIR = @DEPDIR@
    480 DLLTOOL = @DLLTOOL@
    481 DSYMUTIL = @DSYMUTIL@
    482 DUMPBIN = @DUMPBIN@
    483 ECHO_C = @ECHO_C@
    484 ECHO_N = @ECHO_N@
    485 ECHO_T = @ECHO_T@
    486 EGREP = @EGREP@
    487 EXEEXT = @EXEEXT@
    488 FGREP = @FGREP@
    489 GNUTLS_CFLAGS = @GNUTLS_CFLAGS@
    490 GNUTLS_CPPFLAGS = @GNUTLS_CPPFLAGS@
    491 GNUTLS_LDFLAGS = @GNUTLS_LDFLAGS@
    492 GNUTLS_LIBS = @GNUTLS_LIBS@
    493 GREP = @GREP@
    494 HAVE_CURL_BINARY = @HAVE_CURL_BINARY@
    495 HAVE_MAKEINFO_BINARY = @HAVE_MAKEINFO_BINARY@
    496 HIDDEN_VISIBILITY_CFLAGS = @HIDDEN_VISIBILITY_CFLAGS@
    497 INSTALL = @INSTALL@
    498 INSTALL_DATA = @INSTALL_DATA@
    499 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    500 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    501 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    502 LD = @LD@
    503 LDFLAGS = @LDFLAGS@
    504 LIBCURL = @LIBCURL@
    505 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
    506 LIBGCRYPT_CFLAGS = @LIBGCRYPT_CFLAGS@
    507 LIBGCRYPT_CONFIG = @LIBGCRYPT_CONFIG@
    508 LIBGCRYPT_LIBS = @LIBGCRYPT_LIBS@
    509 LIBOBJS = @LIBOBJS@
    510 LIBS = @LIBS@
    511 LIBSPDY_VERSION_AGE = @LIBSPDY_VERSION_AGE@
    512 LIBSPDY_VERSION_CURRENT = @LIBSPDY_VERSION_CURRENT@
    513 LIBSPDY_VERSION_REVISION = @LIBSPDY_VERSION_REVISION@
    514 LIBTOOL = @LIBTOOL@
    515 LIB_VERSION_AGE = @LIB_VERSION_AGE@
    516 LIB_VERSION_CURRENT = @LIB_VERSION_CURRENT@
    517 LIB_VERSION_REVISION = @LIB_VERSION_REVISION@
    518 LIPO = @LIPO@
    519 LN_S = @LN_S@
    520 LTLIBOBJS = @LTLIBOBJS@
    521 MAKEINFO = @MAKEINFO@
    522 MANIFEST_TOOL = @MANIFEST_TOOL@
    523 MHD_LIBDEPS = @MHD_LIBDEPS@
    524 MHD_LIBDEPS_PKGCFG = @MHD_LIBDEPS_PKGCFG@
    525 MHD_LIB_CFLAGS = @MHD_LIB_CFLAGS@
    526 MHD_LIB_CPPFLAGS = @MHD_LIB_CPPFLAGS@
    527 MHD_LIB_LDFLAGS = @MHD_LIB_LDFLAGS@
    528 MHD_REQ_PRIVATE = @MHD_REQ_PRIVATE@
    529 MKDIR_P = @MKDIR_P@
    530 MS_LIB_TOOL = @MS_LIB_TOOL@
    531 NM = @NM@
    532 NMEDIT = @NMEDIT@
    533 OBJDUMP = @OBJDUMP@
    534 OBJEXT = @OBJEXT@
    535 OPENSSL_INCLUDES = @OPENSSL_INCLUDES@
    536 OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
    537 OPENSSL_LIBS = @OPENSSL_LIBS@
    538 OTOOL = @OTOOL@
    539 OTOOL64 = @OTOOL64@
    540 PACKAGE = @PACKAGE@
    541 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    542 PACKAGE_NAME = @PACKAGE_NAME@
    543 PACKAGE_STRING = @PACKAGE_STRING@
    544 PACKAGE_TARNAME = @PACKAGE_TARNAME@
    545 PACKAGE_URL = @PACKAGE_URL@
    546 PACKAGE_VERSION = @PACKAGE_VERSION@
    547 PACKAGE_VERSION_MAJOR = @PACKAGE_VERSION_MAJOR@
    548 PACKAGE_VERSION_MINOR = @PACKAGE_VERSION_MINOR@
    549 PACKAGE_VERSION_SUBMINOR = @PACKAGE_VERSION_SUBMINOR@
    550 PATH_SEPARATOR = @PATH_SEPARATOR@
    551 PKG_CONFIG = @PKG_CONFIG@
    552 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
    553 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
    554 PTHREAD_CC = @PTHREAD_CC@
    555 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
    556 PTHREAD_LIBS = @PTHREAD_LIBS@
    557 RANLIB = @RANLIB@
    558 RC = @RC@
    559 SED = @SED@
    560 SET_MAKE = @SET_MAKE@
    561 SHELL = @SHELL@
    562 SPDY_LIBDEPS = @SPDY_LIBDEPS@
    563 SPDY_LIB_CFLAGS = @SPDY_LIB_CFLAGS@
    564 SPDY_LIB_CPPFLAGS = @SPDY_LIB_CPPFLAGS@
    565 SPDY_LIB_LDFLAGS = @SPDY_LIB_LDFLAGS@
    566 STRIP = @STRIP@
    567 VERSION = @VERSION@
    568 _libcurl_config = @_libcurl_config@
    569 abs_builddir = @abs_builddir@
    570 abs_srcdir = @abs_srcdir@
    571 abs_top_builddir = @abs_top_builddir@
    572 abs_top_srcdir = @abs_top_srcdir@
    573 ac_ct_AR = @ac_ct_AR@
    574 ac_ct_CC = @ac_ct_CC@
    575 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
    576 am__include = @am__include@
    577 am__leading_dot = @am__leading_dot@
    578 am__quote = @am__quote@
    579 am__tar = @am__tar@
    580 am__untar = @am__untar@
    581 ax_pthread_config = @ax_pthread_config@
    582 bindir = @bindir@
    583 build = @build@
    584 build_alias = @build_alias@
    585 build_cpu = @build_cpu@
    586 build_os = @build_os@
    587 build_vendor = @build_vendor@
    588 builddir = @builddir@
    589 datadir = @datadir@
    590 datarootdir = @datarootdir@
    591 docdir = @docdir@
    592 dvidir = @dvidir@
    593 exec_prefix = @exec_prefix@
    594 have_socat = @have_socat@
    595 have_zzuf = @have_zzuf@
    596 host = @host@
    597 host_alias = @host_alias@
    598 host_cpu = @host_cpu@
    599 host_os = @host_os@
    600 host_vendor = @host_vendor@
    601 htmldir = @htmldir@
    602 includedir = @includedir@
    603 infodir = @infodir@
    604 install_sh = @install_sh@
    605 libdir = @libdir@
    606 libexecdir = @libexecdir@
    607 localedir = @localedir@
    608 localstatedir = @localstatedir@
    609 lt_cv_objdir = @lt_cv_objdir@
    610 mandir = @mandir@
    611 mkdir_p = @mkdir_p@
    612 oldincludedir = @oldincludedir@
    613 pdfdir = @pdfdir@
    614 prefix = @prefix@
    615 program_transform_name = @program_transform_name@
    616 psdir = @psdir@
    617 sbindir = @sbindir@
    618 sharedstatedir = @sharedstatedir@
    619 srcdir = @srcdir@
    620 sysconfdir = @sysconfdir@
    621 target_alias = @target_alias@
    622 top_build_prefix = @top_build_prefix@
    623 top_builddir = @top_builddir@
    624 top_srcdir = @top_srcdir@
    625 
    626 # This Makefile.am is in the public domain
    627 AM_CPPFLAGS = \
    628   -I$(top_srcdir)/src/include \
    629   -I$(top_srcdir)/src/microhttpd
    630 
    631 AM_CFLAGS = $(HIDDEN_VISIBILITY_CFLAGS) $(am__append_6)
    632 @HAVE_W32_TRUE@MHD_W32_LIB = $(top_builddir)/src/platform/libplatform_interface.la
    633 lib_LTLIBRARIES = \
    634   libmicrohttpd.la
    635 
    636 noinst_DATA = $(am__append_1) $(am__append_3)
    637 MOSTLYCLEANFILES = $(am__append_2) $(am__append_4)
    638 @W32_SHARED_LIB_EXP_FALSE@W32_MHD_LIB_LDFLAGS = 
    639 @W32_SHARED_LIB_EXP_TRUE@W32_MHD_LIB_LDFLAGS = -Wl,--output-def,$(lt_cv_objdir)/libmicrohttpd.def -XCClinker -static-libgcc
    640 libmicrohttpd_la_SOURCES = connection.c connection.h reason_phrase.c \
    641 	reason_phrase.h daemon.c internal.c internal.h memorypool.c \
    642 	memorypool.h response.c response.h $(am__append_7) \
    643 	$(am__append_8) $(am__append_9) $(am__append_10) \
    644 	$(am__append_11)
    645 libmicrohttpd_la_CPPFLAGS = \
    646   $(AM_CPPFLAGS) $(MHD_LIB_CPPFLAGS) \
    647   -DBUILDING_MHD_LIB=1
    648 
    649 libmicrohttpd_la_CFLAGS = \
    650   $(AM_CFLAGS) $(MHD_LIB_CFLAGS)
    651 
    652 libmicrohttpd_la_LDFLAGS = \
    653   $(MHD_LIB_LDFLAGS) \
    654   $(W32_MHD_LIB_LDFLAGS) \
    655   -version-info @LIB_VERSION_CURRENT@:@LIB_VERSION_REVISION@:@LIB_VERSION_AGE@
    656 
    657 libmicrohttpd_la_LIBADD = $(MHD_W32_LIB) $(MHD_LIBDEPS) \
    658 	$(am__append_5)
    659 libmicrohttpd_la_DEPENDENCIES = \
    660   $(MHD_W32_LIB)
    661 
    662 @HAVE_W32_TRUE@MHD_DLL_RES_SRC = microhttpd_dll_res.rc
    663 @HAVE_W32_TRUE@MHD_DLL_RES_LO = libmicrohttpd_la-$(MHD_DLL_RES_SRC:.rc=.lo)
    664 @HAVE_W32_TRUE@EXTRA_libmicrohttpd_la_DEPENDENCIES = $(MHD_DLL_RES_LO)
    665 TESTS = $(check_PROGRAMS)
    666 test_daemon_SOURCES = \
    667   test_daemon.c
    668 
    669 test_daemon_LDADD = \
    670   $(top_builddir)/src/microhttpd/libmicrohttpd.la
    671 
    672 test_postprocessor_SOURCES = \
    673   test_postprocessor.c
    674 
    675 test_postprocessor_CPPFLAGS = \
    676   $(AM_CPPFLAGS) $(GNUTLS_CPPFLAGS)
    677 
    678 test_postprocessor_LDADD = \
    679   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    680   $(MHD_W32_LIB)
    681 
    682 test_postprocessor_amp_SOURCES = \
    683   test_postprocessor_amp.c
    684 
    685 test_postprocessor_amp_CPPFLAGS = \
    686   $(AM_CPPFLAGS) $(GNUTLS_CPPFLAGS)
    687 
    688 test_postprocessor_amp_LDADD = \
    689   $(top_builddir)/src/microhttpd/libmicrohttpd.la
    690 
    691 test_postprocessor_large_SOURCES = \
    692   test_postprocessor_large.c
    693 
    694 test_postprocessor_large_CPPFLAGS = \
    695   $(AM_CPPFLAGS) $(GNUTLS_CPPFLAGS)
    696 
    697 test_postprocessor_large_LDADD = \
    698   $(top_builddir)/src/microhttpd/libmicrohttpd.la \
    699   $(MHD_W32_LIB)
    700 
    701 all: all-am
    702 
    703 .SUFFIXES:
    704 .SUFFIXES: .c .lo .log .o .obj .rc .test .test$(EXEEXT) .trs
    705 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
    706 	@for dep in $?; do \
    707 	  case '$(am__configure_deps)' in \
    708 	    *$$dep*) \
    709 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
    710 	        && { if test -f $@; then exit 0; else break; fi; }; \
    711 	      exit 1;; \
    712 	  esac; \
    713 	done; \
    714 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/microhttpd/Makefile'; \
    715 	$(am__cd) $(top_srcdir) && \
    716 	  $(AUTOMAKE) --gnu src/microhttpd/Makefile
    717 .PRECIOUS: Makefile
    718 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    719 	@case '$?' in \
    720 	  *config.status*) \
    721 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
    722 	  *) \
    723 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
    724 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
    725 	esac;
    726 
    727 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    728 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    729 
    730 $(top_srcdir)/configure:  $(am__configure_deps)
    731 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    732 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
    733 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    734 $(am__aclocal_m4_deps):
    735 microhttpd_dll_res.rc: $(top_builddir)/config.status $(srcdir)/microhttpd_dll_res.rc.in
    736 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
    737 
    738 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
    739 	@$(NORMAL_INSTALL)
    740 	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
    741 	list2=; for p in $$list; do \
    742 	  if test -f $$p; then \
    743 	    list2="$$list2 $$p"; \
    744 	  else :; fi; \
    745 	done; \
    746 	test -z "$$list2" || { \
    747 	  echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
    748 	  $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
    749 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
    750 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
    751 	}
    752 
    753 uninstall-libLTLIBRARIES:
    754 	@$(NORMAL_UNINSTALL)
    755 	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
    756 	for p in $$list; do \
    757 	  $(am__strip_dir) \
    758 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
    759 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
    760 	done
    761 
    762 clean-libLTLIBRARIES:
    763 	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
    764 	@list='$(lib_LTLIBRARIES)'; \
    765 	locs=`for p in $$list; do echo $$p; done | \
    766 	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
    767 	      sort -u`; \
    768 	test -z "$$locs" || { \
    769 	  echo rm -f $${locs}; \
    770 	  rm -f $${locs}; \
    771 	}
    772 
    773 libmicrohttpd.la: $(libmicrohttpd_la_OBJECTS) $(libmicrohttpd_la_DEPENDENCIES) $(EXTRA_libmicrohttpd_la_DEPENDENCIES) 
    774 	$(AM_V_CCLD)$(libmicrohttpd_la_LINK) -rpath $(libdir) $(libmicrohttpd_la_OBJECTS) $(libmicrohttpd_la_LIBADD) $(LIBS)
    775 
    776 clean-checkPROGRAMS:
    777 	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
    778 	echo " rm -f" $$list; \
    779 	rm -f $$list || exit $$?; \
    780 	test -n "$(EXEEXT)" || exit 0; \
    781 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
    782 	echo " rm -f" $$list; \
    783 	rm -f $$list
    784 
    785 test_daemon$(EXEEXT): $(test_daemon_OBJECTS) $(test_daemon_DEPENDENCIES) $(EXTRA_test_daemon_DEPENDENCIES) 
    786 	@rm -f test_daemon$(EXEEXT)
    787 	$(AM_V_CCLD)$(LINK) $(test_daemon_OBJECTS) $(test_daemon_LDADD) $(LIBS)
    788 
    789 test_postprocessor$(EXEEXT): $(test_postprocessor_OBJECTS) $(test_postprocessor_DEPENDENCIES) $(EXTRA_test_postprocessor_DEPENDENCIES) 
    790 	@rm -f test_postprocessor$(EXEEXT)
    791 	$(AM_V_CCLD)$(LINK) $(test_postprocessor_OBJECTS) $(test_postprocessor_LDADD) $(LIBS)
    792 
    793 test_postprocessor_amp$(EXEEXT): $(test_postprocessor_amp_OBJECTS) $(test_postprocessor_amp_DEPENDENCIES) $(EXTRA_test_postprocessor_amp_DEPENDENCIES) 
    794 	@rm -f test_postprocessor_amp$(EXEEXT)
    795 	$(AM_V_CCLD)$(LINK) $(test_postprocessor_amp_OBJECTS) $(test_postprocessor_amp_LDADD) $(LIBS)
    796 
    797 test_postprocessor_large$(EXEEXT): $(test_postprocessor_large_OBJECTS) $(test_postprocessor_large_DEPENDENCIES) $(EXTRA_test_postprocessor_large_DEPENDENCIES) 
    798 	@rm -f test_postprocessor_large$(EXEEXT)
    799 	$(AM_V_CCLD)$(LINK) $(test_postprocessor_large_OBJECTS) $(test_postprocessor_large_LDADD) $(LIBS)
    800 
    801 mostlyclean-compile:
    802 	-rm -f *.$(OBJEXT)
    803 
    804 distclean-compile:
    805 	-rm -f *.tab.c
    806 
    807 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-base64.Plo@am__quote@
    808 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-basicauth.Plo@am__quote@
    809 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-connection.Plo@am__quote@
    810 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-connection_https.Plo@am__quote@
    811 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-daemon.Plo@am__quote@
    812 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-digestauth.Plo@am__quote@
    813 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-internal.Plo@am__quote@
    814 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-md5.Plo@am__quote@
    815 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-memorypool.Plo@am__quote@
    816 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-postprocessor.Plo@am__quote@
    817 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-reason_phrase.Plo@am__quote@
    818 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-response.Plo@am__quote@
    819 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libmicrohttpd_la-tsearch.Plo@am__quote@
    820 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_daemon.Po@am__quote@
    821 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_postprocessor-test_postprocessor.Po@am__quote@
    822 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_postprocessor_amp-test_postprocessor_amp.Po@am__quote@
    823 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_postprocessor_large-test_postprocessor_large.Po@am__quote@
    824 
    825 .c.o:
    826 @am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
    827 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
    828 @am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
    829 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    830 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    831 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
    832 
    833 .c.obj:
    834 @am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
    835 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
    836 @am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
    837 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    838 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    839 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
    840 
    841 .c.lo:
    842 @am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
    843 @am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
    844 @am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
    845 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
    846 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    847 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
    848 
    849 libmicrohttpd_la-connection.lo: connection.c
    850 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-connection.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-connection.Tpo -c -o libmicrohttpd_la-connection.lo `test -f 'connection.c' || echo '$(srcdir)/'`connection.c
    851 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-connection.Tpo $(DEPDIR)/libmicrohttpd_la-connection.Plo
    852 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='connection.c' object='libmicrohttpd_la-connection.lo' libtool=yes @AMDEPBACKSLASH@
    853 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    854 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-connection.lo `test -f 'connection.c' || echo '$(srcdir)/'`connection.c
    855 
    856 libmicrohttpd_la-reason_phrase.lo: reason_phrase.c
    857 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-reason_phrase.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-reason_phrase.Tpo -c -o libmicrohttpd_la-reason_phrase.lo `test -f 'reason_phrase.c' || echo '$(srcdir)/'`reason_phrase.c
    858 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-reason_phrase.Tpo $(DEPDIR)/libmicrohttpd_la-reason_phrase.Plo
    859 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='reason_phrase.c' object='libmicrohttpd_la-reason_phrase.lo' libtool=yes @AMDEPBACKSLASH@
    860 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    861 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-reason_phrase.lo `test -f 'reason_phrase.c' || echo '$(srcdir)/'`reason_phrase.c
    862 
    863 libmicrohttpd_la-daemon.lo: daemon.c
    864 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-daemon.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-daemon.Tpo -c -o libmicrohttpd_la-daemon.lo `test -f 'daemon.c' || echo '$(srcdir)/'`daemon.c
    865 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-daemon.Tpo $(DEPDIR)/libmicrohttpd_la-daemon.Plo
    866 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='daemon.c' object='libmicrohttpd_la-daemon.lo' libtool=yes @AMDEPBACKSLASH@
    867 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    868 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-daemon.lo `test -f 'daemon.c' || echo '$(srcdir)/'`daemon.c
    869 
    870 libmicrohttpd_la-internal.lo: internal.c
    871 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-internal.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-internal.Tpo -c -o libmicrohttpd_la-internal.lo `test -f 'internal.c' || echo '$(srcdir)/'`internal.c
    872 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-internal.Tpo $(DEPDIR)/libmicrohttpd_la-internal.Plo
    873 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='internal.c' object='libmicrohttpd_la-internal.lo' libtool=yes @AMDEPBACKSLASH@
    874 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    875 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-internal.lo `test -f 'internal.c' || echo '$(srcdir)/'`internal.c
    876 
    877 libmicrohttpd_la-memorypool.lo: memorypool.c
    878 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-memorypool.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-memorypool.Tpo -c -o libmicrohttpd_la-memorypool.lo `test -f 'memorypool.c' || echo '$(srcdir)/'`memorypool.c
    879 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-memorypool.Tpo $(DEPDIR)/libmicrohttpd_la-memorypool.Plo
    880 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='memorypool.c' object='libmicrohttpd_la-memorypool.lo' libtool=yes @AMDEPBACKSLASH@
    881 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    882 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-memorypool.lo `test -f 'memorypool.c' || echo '$(srcdir)/'`memorypool.c
    883 
    884 libmicrohttpd_la-response.lo: response.c
    885 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-response.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-response.Tpo -c -o libmicrohttpd_la-response.lo `test -f 'response.c' || echo '$(srcdir)/'`response.c
    886 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-response.Tpo $(DEPDIR)/libmicrohttpd_la-response.Plo
    887 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='response.c' object='libmicrohttpd_la-response.lo' libtool=yes @AMDEPBACKSLASH@
    888 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    889 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-response.lo `test -f 'response.c' || echo '$(srcdir)/'`response.c
    890 
    891 libmicrohttpd_la-tsearch.lo: tsearch.c
    892 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-tsearch.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-tsearch.Tpo -c -o libmicrohttpd_la-tsearch.lo `test -f 'tsearch.c' || echo '$(srcdir)/'`tsearch.c
    893 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-tsearch.Tpo $(DEPDIR)/libmicrohttpd_la-tsearch.Plo
    894 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='tsearch.c' object='libmicrohttpd_la-tsearch.lo' libtool=yes @AMDEPBACKSLASH@
    895 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    896 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-tsearch.lo `test -f 'tsearch.c' || echo '$(srcdir)/'`tsearch.c
    897 
    898 libmicrohttpd_la-postprocessor.lo: postprocessor.c
    899 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-postprocessor.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-postprocessor.Tpo -c -o libmicrohttpd_la-postprocessor.lo `test -f 'postprocessor.c' || echo '$(srcdir)/'`postprocessor.c
    900 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-postprocessor.Tpo $(DEPDIR)/libmicrohttpd_la-postprocessor.Plo
    901 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='postprocessor.c' object='libmicrohttpd_la-postprocessor.lo' libtool=yes @AMDEPBACKSLASH@
    902 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    903 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-postprocessor.lo `test -f 'postprocessor.c' || echo '$(srcdir)/'`postprocessor.c
    904 
    905 libmicrohttpd_la-digestauth.lo: digestauth.c
    906 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-digestauth.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-digestauth.Tpo -c -o libmicrohttpd_la-digestauth.lo `test -f 'digestauth.c' || echo '$(srcdir)/'`digestauth.c
    907 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-digestauth.Tpo $(DEPDIR)/libmicrohttpd_la-digestauth.Plo
    908 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='digestauth.c' object='libmicrohttpd_la-digestauth.lo' libtool=yes @AMDEPBACKSLASH@
    909 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    910 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-digestauth.lo `test -f 'digestauth.c' || echo '$(srcdir)/'`digestauth.c
    911 
    912 libmicrohttpd_la-md5.lo: md5.c
    913 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-md5.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-md5.Tpo -c -o libmicrohttpd_la-md5.lo `test -f 'md5.c' || echo '$(srcdir)/'`md5.c
    914 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-md5.Tpo $(DEPDIR)/libmicrohttpd_la-md5.Plo
    915 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='md5.c' object='libmicrohttpd_la-md5.lo' libtool=yes @AMDEPBACKSLASH@
    916 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    917 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-md5.lo `test -f 'md5.c' || echo '$(srcdir)/'`md5.c
    918 
    919 libmicrohttpd_la-basicauth.lo: basicauth.c
    920 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-basicauth.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-basicauth.Tpo -c -o libmicrohttpd_la-basicauth.lo `test -f 'basicauth.c' || echo '$(srcdir)/'`basicauth.c
    921 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-basicauth.Tpo $(DEPDIR)/libmicrohttpd_la-basicauth.Plo
    922 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='basicauth.c' object='libmicrohttpd_la-basicauth.lo' libtool=yes @AMDEPBACKSLASH@
    923 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    924 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-basicauth.lo `test -f 'basicauth.c' || echo '$(srcdir)/'`basicauth.c
    925 
    926 libmicrohttpd_la-base64.lo: base64.c
    927 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-base64.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-base64.Tpo -c -o libmicrohttpd_la-base64.lo `test -f 'base64.c' || echo '$(srcdir)/'`base64.c
    928 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-base64.Tpo $(DEPDIR)/libmicrohttpd_la-base64.Plo
    929 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='base64.c' object='libmicrohttpd_la-base64.lo' libtool=yes @AMDEPBACKSLASH@
    930 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    931 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-base64.lo `test -f 'base64.c' || echo '$(srcdir)/'`base64.c
    932 
    933 libmicrohttpd_la-connection_https.lo: connection_https.c
    934 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -MT libmicrohttpd_la-connection_https.lo -MD -MP -MF $(DEPDIR)/libmicrohttpd_la-connection_https.Tpo -c -o libmicrohttpd_la-connection_https.lo `test -f 'connection_https.c' || echo '$(srcdir)/'`connection_https.c
    935 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libmicrohttpd_la-connection_https.Tpo $(DEPDIR)/libmicrohttpd_la-connection_https.Plo
    936 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='connection_https.c' object='libmicrohttpd_la-connection_https.lo' libtool=yes @AMDEPBACKSLASH@
    937 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    938 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) $(libmicrohttpd_la_CFLAGS) $(CFLAGS) -c -o libmicrohttpd_la-connection_https.lo `test -f 'connection_https.c' || echo '$(srcdir)/'`connection_https.c
    939 
    940 test_postprocessor-test_postprocessor.o: test_postprocessor.c
    941 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_postprocessor_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_postprocessor-test_postprocessor.o -MD -MP -MF $(DEPDIR)/test_postprocessor-test_postprocessor.Tpo -c -o test_postprocessor-test_postprocessor.o `test -f 'test_postprocessor.c' || echo '$(srcdir)/'`test_postprocessor.c
    942 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_postprocessor-test_postprocessor.Tpo $(DEPDIR)/test_postprocessor-test_postprocessor.Po
    943 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test_postprocessor.c' object='test_postprocessor-test_postprocessor.o' libtool=no @AMDEPBACKSLASH@
    944 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    945 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_postprocessor_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_postprocessor-test_postprocessor.o `test -f 'test_postprocessor.c' || echo '$(srcdir)/'`test_postprocessor.c
    946 
    947 test_postprocessor-test_postprocessor.obj: test_postprocessor.c
    948 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_postprocessor_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_postprocessor-test_postprocessor.obj -MD -MP -MF $(DEPDIR)/test_postprocessor-test_postprocessor.Tpo -c -o test_postprocessor-test_postprocessor.obj `if test -f 'test_postprocessor.c'; then $(CYGPATH_W) 'test_postprocessor.c'; else $(CYGPATH_W) '$(srcdir)/test_postprocessor.c'; fi`
    949 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_postprocessor-test_postprocessor.Tpo $(DEPDIR)/test_postprocessor-test_postprocessor.Po
    950 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test_postprocessor.c' object='test_postprocessor-test_postprocessor.obj' libtool=no @AMDEPBACKSLASH@
    951 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    952 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_postprocessor_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_postprocessor-test_postprocessor.obj `if test -f 'test_postprocessor.c'; then $(CYGPATH_W) 'test_postprocessor.c'; else $(CYGPATH_W) '$(srcdir)/test_postprocessor.c'; fi`
    953 
    954 test_postprocessor_amp-test_postprocessor_amp.o: test_postprocessor_amp.c
    955 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_postprocessor_amp_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_postprocessor_amp-test_postprocessor_amp.o -MD -MP -MF $(DEPDIR)/test_postprocessor_amp-test_postprocessor_amp.Tpo -c -o test_postprocessor_amp-test_postprocessor_amp.o `test -f 'test_postprocessor_amp.c' || echo '$(srcdir)/'`test_postprocessor_amp.c
    956 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_postprocessor_amp-test_postprocessor_amp.Tpo $(DEPDIR)/test_postprocessor_amp-test_postprocessor_amp.Po
    957 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test_postprocessor_amp.c' object='test_postprocessor_amp-test_postprocessor_amp.o' libtool=no @AMDEPBACKSLASH@
    958 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    959 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_postprocessor_amp_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_postprocessor_amp-test_postprocessor_amp.o `test -f 'test_postprocessor_amp.c' || echo '$(srcdir)/'`test_postprocessor_amp.c
    960 
    961 test_postprocessor_amp-test_postprocessor_amp.obj: test_postprocessor_amp.c
    962 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_postprocessor_amp_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_postprocessor_amp-test_postprocessor_amp.obj -MD -MP -MF $(DEPDIR)/test_postprocessor_amp-test_postprocessor_amp.Tpo -c -o test_postprocessor_amp-test_postprocessor_amp.obj `if test -f 'test_postprocessor_amp.c'; then $(CYGPATH_W) 'test_postprocessor_amp.c'; else $(CYGPATH_W) '$(srcdir)/test_postprocessor_amp.c'; fi`
    963 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_postprocessor_amp-test_postprocessor_amp.Tpo $(DEPDIR)/test_postprocessor_amp-test_postprocessor_amp.Po
    964 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test_postprocessor_amp.c' object='test_postprocessor_amp-test_postprocessor_amp.obj' libtool=no @AMDEPBACKSLASH@
    965 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    966 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_postprocessor_amp_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_postprocessor_amp-test_postprocessor_amp.obj `if test -f 'test_postprocessor_amp.c'; then $(CYGPATH_W) 'test_postprocessor_amp.c'; else $(CYGPATH_W) '$(srcdir)/test_postprocessor_amp.c'; fi`
    967 
    968 test_postprocessor_large-test_postprocessor_large.o: test_postprocessor_large.c
    969 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_postprocessor_large_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_postprocessor_large-test_postprocessor_large.o -MD -MP -MF $(DEPDIR)/test_postprocessor_large-test_postprocessor_large.Tpo -c -o test_postprocessor_large-test_postprocessor_large.o `test -f 'test_postprocessor_large.c' || echo '$(srcdir)/'`test_postprocessor_large.c
    970 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_postprocessor_large-test_postprocessor_large.Tpo $(DEPDIR)/test_postprocessor_large-test_postprocessor_large.Po
    971 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test_postprocessor_large.c' object='test_postprocessor_large-test_postprocessor_large.o' libtool=no @AMDEPBACKSLASH@
    972 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    973 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_postprocessor_large_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_postprocessor_large-test_postprocessor_large.o `test -f 'test_postprocessor_large.c' || echo '$(srcdir)/'`test_postprocessor_large.c
    974 
    975 test_postprocessor_large-test_postprocessor_large.obj: test_postprocessor_large.c
    976 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_postprocessor_large_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_postprocessor_large-test_postprocessor_large.obj -MD -MP -MF $(DEPDIR)/test_postprocessor_large-test_postprocessor_large.Tpo -c -o test_postprocessor_large-test_postprocessor_large.obj `if test -f 'test_postprocessor_large.c'; then $(CYGPATH_W) 'test_postprocessor_large.c'; else $(CYGPATH_W) '$(srcdir)/test_postprocessor_large.c'; fi`
    977 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_postprocessor_large-test_postprocessor_large.Tpo $(DEPDIR)/test_postprocessor_large-test_postprocessor_large.Po
    978 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test_postprocessor_large.c' object='test_postprocessor_large-test_postprocessor_large.obj' libtool=no @AMDEPBACKSLASH@
    979 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    980 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_postprocessor_large_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_postprocessor_large-test_postprocessor_large.obj `if test -f 'test_postprocessor_large.c'; then $(CYGPATH_W) 'test_postprocessor_large.c'; else $(CYGPATH_W) '$(srcdir)/test_postprocessor_large.c'; fi`
    981 
    982 mostlyclean-libtool:
    983 	-rm -f *.lo
    984 
    985 clean-libtool:
    986 	-rm -rf .libs _libs
    987 
    988 ID: $(am__tagged_files)
    989 	$(am__define_uniq_tagged_files); mkid -fID $$unique
    990 tags: tags-am
    991 TAGS: tags
    992 
    993 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    994 	set x; \
    995 	here=`pwd`; \
    996 	$(am__define_uniq_tagged_files); \
    997 	shift; \
    998 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
    999 	  test -n "$$unique" || unique=$$empty_fix; \
   1000 	  if test $$# -gt 0; then \
   1001 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
   1002 	      "$$@" $$unique; \
   1003 	  else \
   1004 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
   1005 	      $$unique; \
   1006 	  fi; \
   1007 	fi
   1008 ctags: ctags-am
   1009 
   1010 CTAGS: ctags
   1011 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
   1012 	$(am__define_uniq_tagged_files); \
   1013 	test -z "$(CTAGS_ARGS)$$unique" \
   1014 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
   1015 	     $$unique
   1016 
   1017 GTAGS:
   1018 	here=`$(am__cd) $(top_builddir) && pwd` \
   1019 	  && $(am__cd) $(top_srcdir) \
   1020 	  && gtags -i $(GTAGS_ARGS) "$$here"
   1021 cscopelist: cscopelist-am
   1022 
   1023 cscopelist-am: $(am__tagged_files)
   1024 	list='$(am__tagged_files)'; \
   1025 	case "$(srcdir)" in \
   1026 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
   1027 	  *) sdir=$(subdir)/$(srcdir) ;; \
   1028 	esac; \
   1029 	for i in $$list; do \
   1030 	  if test -f "$$i"; then \
   1031 	    echo "$(subdir)/$$i"; \
   1032 	  else \
   1033 	    echo "$$sdir/$$i"; \
   1034 	  fi; \
   1035 	done >> $(top_builddir)/cscope.files
   1036 
   1037 distclean-tags:
   1038 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
   1039 
   1040 # Recover from deleted '.trs' file; this should ensure that
   1041 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
   1042 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
   1043 # to avoid problems with "make -n".
   1044 .log.trs:
   1045 	rm -f $< $@
   1046 	$(MAKE) $(AM_MAKEFLAGS) $<
   1047 
   1048 # Leading 'am--fnord' is there to ensure the list of targets does not
   1049 # expand to empty, as could happen e.g. with make check TESTS=''.
   1050 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
   1051 am--force-recheck:
   1052 	@:
   1053 
   1054 $(TEST_SUITE_LOG): $(TEST_LOGS)
   1055 	@$(am__set_TESTS_bases); \
   1056 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
   1057 	redo_bases=`for i in $$bases; do \
   1058 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
   1059 	            done`; \
   1060 	if test -n "$$redo_bases"; then \
   1061 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
   1062 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
   1063 	  if $(am__make_dryrun); then :; else \
   1064 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
   1065 	  fi; \
   1066 	fi; \
   1067 	if test -n "$$am__remaking_logs"; then \
   1068 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
   1069 	       "recursion detected" >&2; \
   1070 	else \
   1071 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
   1072 	fi; \
   1073 	if $(am__make_dryrun); then :; else \
   1074 	  st=0;  \
   1075 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
   1076 	  for i in $$redo_bases; do \
   1077 	    test -f $$i.trs && test -r $$i.trs \
   1078 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
   1079 	    test -f $$i.log && test -r $$i.log \
   1080 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
   1081 	  done; \
   1082 	  test $$st -eq 0 || exit 1; \
   1083 	fi
   1084 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
   1085 	ws='[ 	]'; \
   1086 	results=`for b in $$bases; do echo $$b.trs; done`; \
   1087 	test -n "$$results" || results=/dev/null; \
   1088 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
   1089 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
   1090 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
   1091 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
   1092 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
   1093 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
   1094 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
   1095 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
   1096 	  success=true; \
   1097 	else \
   1098 	  success=false; \
   1099 	fi; \
   1100 	br='==================='; br=$$br$$br$$br$$br; \
   1101 	result_count () \
   1102 	{ \
   1103 	    if test x"$$1" = x"--maybe-color"; then \
   1104 	      maybe_colorize=yes; \
   1105 	    elif test x"$$1" = x"--no-color"; then \
   1106 	      maybe_colorize=no; \
   1107 	    else \
   1108 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
   1109 	    fi; \
   1110 	    shift; \
   1111 	    desc=$$1 count=$$2; \
   1112 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
   1113 	      color_start=$$3 color_end=$$std; \
   1114 	    else \
   1115 	      color_start= color_end=; \
   1116 	    fi; \
   1117 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
   1118 	}; \
   1119 	create_testsuite_report () \
   1120 	{ \
   1121 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
   1122 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
   1123 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
   1124 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
   1125 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
   1126 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
   1127 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
   1128 	}; \
   1129 	{								\
   1130 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
   1131 	    $(am__rst_title);						\
   1132 	  create_testsuite_report --no-color;				\
   1133 	  echo;								\
   1134 	  echo ".. contents:: :depth: 2";				\
   1135 	  echo;								\
   1136 	  for b in $$bases; do echo $$b; done				\
   1137 	    | $(am__create_global_log);					\
   1138 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
   1139 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
   1140 	if $$success; then						\
   1141 	  col="$$grn";							\
   1142 	 else								\
   1143 	  col="$$red";							\
   1144 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
   1145 	fi;								\
   1146 	echo "$${col}$$br$${std}"; 					\
   1147 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
   1148 	echo "$${col}$$br$${std}"; 					\
   1149 	create_testsuite_report --maybe-color;				\
   1150 	echo "$$col$$br$$std";						\
   1151 	if $$success; then :; else					\
   1152 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
   1153 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
   1154 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
   1155 	  fi;								\
   1156 	  echo "$$col$$br$$std";					\
   1157 	fi;								\
   1158 	$$success || exit 1
   1159 
   1160 check-TESTS:
   1161 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
   1162 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
   1163 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   1164 	@set +e; $(am__set_TESTS_bases); \
   1165 	log_list=`for i in $$bases; do echo $$i.log; done`; \
   1166 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
   1167 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
   1168 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
   1169 	exit $$?;
   1170 recheck: all $(check_PROGRAMS)
   1171 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   1172 	@set +e; $(am__set_TESTS_bases); \
   1173 	bases=`for i in $$bases; do echo $$i; done \
   1174 	         | $(am__list_recheck_tests)` || exit 1; \
   1175 	log_list=`for i in $$bases; do echo $$i.log; done`; \
   1176 	log_list=`echo $$log_list`; \
   1177 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
   1178 	        am__force_recheck=am--force-recheck \
   1179 	        TEST_LOGS="$$log_list"; \
   1180 	exit $$?
   1181 test_daemon.log: test_daemon$(EXEEXT)
   1182 	@p='test_daemon$(EXEEXT)'; \
   1183 	b='test_daemon'; \
   1184 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1185 	--log-file $$b.log --trs-file $$b.trs \
   1186 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1187 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1188 test_postprocessor.log: test_postprocessor$(EXEEXT)
   1189 	@p='test_postprocessor$(EXEEXT)'; \
   1190 	b='test_postprocessor'; \
   1191 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1192 	--log-file $$b.log --trs-file $$b.trs \
   1193 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1194 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1195 test_postprocessor_large.log: test_postprocessor_large$(EXEEXT)
   1196 	@p='test_postprocessor_large$(EXEEXT)'; \
   1197 	b='test_postprocessor_large'; \
   1198 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1199 	--log-file $$b.log --trs-file $$b.trs \
   1200 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1201 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1202 test_postprocessor_amp.log: test_postprocessor_amp$(EXEEXT)
   1203 	@p='test_postprocessor_amp$(EXEEXT)'; \
   1204 	b='test_postprocessor_amp'; \
   1205 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1206 	--log-file $$b.log --trs-file $$b.trs \
   1207 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1208 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1209 .test.log:
   1210 	@p='$<'; \
   1211 	$(am__set_b); \
   1212 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
   1213 	--log-file $$b.log --trs-file $$b.trs \
   1214 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
   1215 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1216 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
   1217 @am__EXEEXT_TRUE@	@p='$<'; \
   1218 @am__EXEEXT_TRUE@	$(am__set_b); \
   1219 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
   1220 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
   1221 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
   1222 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1223 
   1224 distdir: $(DISTFILES)
   1225 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   1226 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   1227 	list='$(DISTFILES)'; \
   1228 	  dist_files=`for file in $$list; do echo $$file; done | \
   1229 	  sed -e "s|^$$srcdirstrip/||;t" \
   1230 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
   1231 	case $$dist_files in \
   1232 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
   1233 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
   1234 			   sort -u` ;; \
   1235 	esac; \
   1236 	for file in $$dist_files; do \
   1237 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
   1238 	  if test -d $$d/$$file; then \
   1239 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
   1240 	    if test -d "$(distdir)/$$file"; then \
   1241 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   1242 	    fi; \
   1243 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
   1244 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
   1245 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   1246 	    fi; \
   1247 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
   1248 	  else \
   1249 	    test -f "$(distdir)/$$file" \
   1250 	    || cp -p $$d/$$file "$(distdir)/$$file" \
   1251 	    || exit 1; \
   1252 	  fi; \
   1253 	done
   1254 check-am: all-am
   1255 	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
   1256 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
   1257 check: check-am
   1258 all-am: Makefile $(LTLIBRARIES) $(DATA)
   1259 installdirs:
   1260 	for dir in "$(DESTDIR)$(libdir)"; do \
   1261 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
   1262 	done
   1263 install: install-am
   1264 install-exec: install-exec-am
   1265 install-data: install-data-am
   1266 uninstall: uninstall-am
   1267 
   1268 install-am: all-am
   1269 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
   1270 
   1271 installcheck: installcheck-am
   1272 install-strip:
   1273 	if test -z '$(STRIP)'; then \
   1274 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1275 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1276 	      install; \
   1277 	else \
   1278 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1279 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1280 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
   1281 	fi
   1282 mostlyclean-generic:
   1283 	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
   1284 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
   1285 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
   1286 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   1287 
   1288 clean-generic:
   1289 
   1290 distclean-generic:
   1291 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
   1292 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
   1293 
   1294 maintainer-clean-generic:
   1295 	@echo "This command is intended for maintainers to use"
   1296 	@echo "it deletes files that may require special tools to rebuild."
   1297 clean: clean-am
   1298 
   1299 clean-am: clean-checkPROGRAMS clean-generic clean-libLTLIBRARIES \
   1300 	clean-libtool mostlyclean-am
   1301 
   1302 distclean: distclean-am
   1303 	-rm -rf ./$(DEPDIR)
   1304 	-rm -f Makefile
   1305 distclean-am: clean-am distclean-compile distclean-generic \
   1306 	distclean-tags
   1307 
   1308 dvi: dvi-am
   1309 
   1310 dvi-am:
   1311 
   1312 html: html-am
   1313 
   1314 html-am:
   1315 
   1316 info: info-am
   1317 
   1318 info-am:
   1319 
   1320 install-data-am:
   1321 
   1322 install-dvi: install-dvi-am
   1323 
   1324 install-dvi-am:
   1325 
   1326 install-exec-am: install-libLTLIBRARIES
   1327 
   1328 install-html: install-html-am
   1329 
   1330 install-html-am:
   1331 
   1332 install-info: install-info-am
   1333 
   1334 install-info-am:
   1335 
   1336 install-man:
   1337 
   1338 install-pdf: install-pdf-am
   1339 
   1340 install-pdf-am:
   1341 
   1342 install-ps: install-ps-am
   1343 
   1344 install-ps-am:
   1345 
   1346 installcheck-am:
   1347 
   1348 maintainer-clean: maintainer-clean-am
   1349 	-rm -rf ./$(DEPDIR)
   1350 	-rm -f Makefile
   1351 maintainer-clean-am: distclean-am maintainer-clean-generic
   1352 
   1353 mostlyclean: mostlyclean-am
   1354 
   1355 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
   1356 	mostlyclean-libtool
   1357 
   1358 pdf: pdf-am
   1359 
   1360 pdf-am:
   1361 
   1362 ps: ps-am
   1363 
   1364 ps-am:
   1365 
   1366 uninstall-am: uninstall-libLTLIBRARIES
   1367 
   1368 .MAKE: check-am install-am install-strip
   1369 
   1370 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
   1371 	clean-checkPROGRAMS clean-generic clean-libLTLIBRARIES \
   1372 	clean-libtool cscopelist-am ctags ctags-am distclean \
   1373 	distclean-compile distclean-generic distclean-libtool \
   1374 	distclean-tags distdir dvi dvi-am html html-am info info-am \
   1375 	install install-am install-data install-data-am install-dvi \
   1376 	install-dvi-am install-exec install-exec-am install-html \
   1377 	install-html-am install-info install-info-am \
   1378 	install-libLTLIBRARIES install-man install-pdf install-pdf-am \
   1379 	install-ps install-ps-am install-strip installcheck \
   1380 	installcheck-am installdirs maintainer-clean \
   1381 	maintainer-clean-generic mostlyclean mostlyclean-compile \
   1382 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
   1383 	recheck tags tags-am uninstall uninstall-am \
   1384 	uninstall-libLTLIBRARIES
   1385 
   1386 
   1387 @W32_SHARED_LIB_EXP_TRUE@$(lt_cv_objdir)/libmicrohttpd.def: libmicrohttpd.la
   1388 
   1389 @W32_SHARED_LIB_EXP_TRUE@$(lt_cv_objdir)/libmicrohttpd.exp: $(lt_cv_objdir)/libmicrohttpd.lib
   1390 
   1391 @W32_SHARED_LIB_EXP_TRUE@$(lt_cv_objdir)/libmicrohttpd.lib: $(lt_cv_objdir)/libmicrohttpd.def libmicrohttpd.la $(libmicrohttpd_la_OBJECTS)
   1392 @USE_MS_LIB_TOOL_TRUE@@W32_SHARED_LIB_EXP_TRUE@	@echo Creating $@ and libmicrohttpd.exp by $(MS_LIB_TOOL)... && \
   1393 @USE_MS_LIB_TOOL_TRUE@@W32_SHARED_LIB_EXP_TRUE@	dll_name=`$(EGREP) -o dlname=\'.+\' libmicrohttpd.la` && \
   1394 @USE_MS_LIB_TOOL_TRUE@@W32_SHARED_LIB_EXP_TRUE@	dll_name=$${dll_name#*\'} && dll_name=$${dll_name%\'} && test -n "$$dll_name" && \
   1395 @USE_MS_LIB_TOOL_TRUE@@W32_SHARED_LIB_EXP_TRUE@	echo Creating $$dll_name by $(MS_LIB_TOOL).. && cd "$(lt_cv_objdir)" && \
   1396 @USE_MS_LIB_TOOL_TRUE@@W32_SHARED_LIB_EXP_TRUE@	$(MS_LIB_TOOL) -def:libmicrohttpd.def -name:$$dll_name -out:libmicrohttpd.lib $(libmicrohttpd_la_OBJECTS:.lo=.o) && cd ..
   1397 @USE_MS_LIB_TOOL_FALSE@@W32_SHARED_LIB_EXP_TRUE@	@echo Creating $@ and libmicrohttpd.exp by $(DLLTOOL)... && \
   1398 @USE_MS_LIB_TOOL_FALSE@@W32_SHARED_LIB_EXP_TRUE@	dll_name=`$(EGREP) -o dlname=\'.+\' libmicrohttpd.la` && \
   1399 @USE_MS_LIB_TOOL_FALSE@@W32_SHARED_LIB_EXP_TRUE@	dll_name=$${dll_name#*\'} && dll_name=$${dll_name%\'} && test -n "$$dll_name" && \
   1400 @USE_MS_LIB_TOOL_FALSE@@W32_SHARED_LIB_EXP_TRUE@	echo Creating $$dll_name by $(DLLTOOL).. && cd "$(lt_cv_objdir)" && \
   1401 @USE_MS_LIB_TOOL_FALSE@@W32_SHARED_LIB_EXP_TRUE@	$(DLLTOOL) -d ./libmicrohttpd.def -D $$dll_name -l libmicrohttpd.lib $(libmicrohttpd_la_OBJECTS:.lo=.o) -e ./libmicrohttpd.exp && cd .. &&\
   1402 @USE_MS_LIB_TOOL_FALSE@@W32_SHARED_LIB_EXP_TRUE@	echo Created libmicrohttpd.exp and libmicrohttpd.lib.
   1403 
   1404 @W32_STATIC_LIB_TRUE@$(lt_cv_objdir)/libmicrohttpd-static.lib: libmicrohttpd.la $(libmicrohttpd_la_OBJECTS)
   1405 @USE_MS_LIB_TOOL_TRUE@@W32_STATIC_LIB_TRUE@	$(MS_LIB_TOOL) -out:$@ $(libmicrohttpd_la_OBJECTS:.lo=.o)
   1406 @USE_MS_LIB_TOOL_FALSE@@W32_STATIC_LIB_TRUE@	cp $(lt_cv_objdir)/libmicrohttpd.a $@
   1407 
   1408 # General rule is not required, but keep it just in case
   1409 @HAVE_W32_TRUE (a] .rc.lo:
   1410 @HAVE_W32_TRUE@	$(LIBTOOL) $(AM_V_lt) --tag=RC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(RC) $(RCFLAGS) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $< -o $@
   1411 
   1412 # To add dll resource only to .dll file and exclude it form static
   1413 # lib, a little trick was used. Allow libtool to create file.lo,
   1414 # file.o and .libs/file.lo, .libs/file.o files, then overwrite file.o
   1415 # by empty object generated from empty c-file. Later libtool will
   1416 # use .libs/file.o for shared lib and empty file.o for static lib.
   1417 # This implementation is based on trick found in liblzma.
   1418 # Note: windres does not understand '-isystem' flag, so all
   1419 # possible '-isystem' flags are replaced by simple '-I' flags.
   1420 @HAVE_W32_TRUE@$(MHD_DLL_RES_LO): $(MHD_DLL_RES_SRC)
   1421 @HAVE_W32_TRUE@	RC_CPP_FLAGS=" $(DEFAULT_INCLUDES) $(INCLUDES) $(libmicrohttpd_la_CPPFLAGS) $(CPPFLAGS) " && \
   1422 @HAVE_W32_TRUE@	$(LIBTOOL) $(AM_V_lt) --tag=RC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(RC) $(RCFLAGS) $(DEFS) $${RC_CPP_FLAGS// -isystem / -I } $< -o $@ && \
   1423 @HAVE_W32_TRUE@	echo > $@-empty.c && $(CC) $(AM_CFLAGS) $(CFLAGS) -c $@-empty.c -o $(@:.lo=.o) && rm -f $@-empty.c
   1424 
   1425 # Tell versions [3.59,3.63) of GNU make to not export all variables.
   1426 # Otherwise a system limit (for SysV at least) may be exceeded.
   1427 .NOEXPORT:
   1428